# Generated by Django 4.1.3 on 2023-03-31 20:21

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("tickets", "0001_initial"),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="Client",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("requirements", models.CharField(max_length=150)),
                (
                    "status",
                    models.CharField(
                        help_text="активность на основе системы заявок", max_length=150
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                ("is_global", models.CharField(max_length=1)),
                ("is_visible", models.CharField(max_length=1)),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "client",
            },
        ),
        migrations.CreateModel(
            name="Company",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "legal_name",
                    models.CharField(
                        help_text="настоящее имя юридического лица", max_length=150
                    ),
                ),
                (
                    "inn",
                    models.CharField(
                        help_text="ИНН компании", max_length=10, unique=True
                    ),
                ),
                ("kpp", models.CharField(help_text="КПП компании", max_length=9)),
                ("ogrn", models.CharField(help_text="ОГРН компании", max_length=13)),
                (
                    "bank_name",
                    models.CharField(
                        help_text="Название банка с расчетным счетом", max_length=150
                    ),
                ),
                ("bik", models.CharField(help_text="БИК компании", max_length=9)),
                (
                    "ks",
                    models.CharField(
                        help_text="Корреспондентский счёт (счёт, открываемый банковской организацией в подразделении самого банка)",
                        max_length=50,
                    ),
                ),
                ("rs", models.CharField(help_text="Расчетный счет", max_length=50)),
                (
                    "address",
                    models.CharField(help_text="Юридический адрес", max_length=150),
                ),
                (
                    "requirements",
                    models.CharField(
                        help_text="код необходимого для того, чтобы ресурс мог стать активным",
                        max_length=150,
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="статус обработки заявки в системе заявок",
                        max_length=150,
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступны ли документы для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии документов для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "repr_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор представителя компании. Это обязательно пользователь-провайдер определенного типа. То есть нельзя назначить ответственного, который не может быть ответственным.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
            ],
            options={
                "db_table": "company",
            },
        ),
        migrations.CreateModel(
            name="Provider",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type",
                    models.CharField(
                        help_text="тип поставщика (партнер/ответственное лицо/поставщик услуг). Смысл такой - провайдер это статус пользователя, который, в зависимости от применения, может нести разный смысл и подразумевает под собой какой-то тип действия. Обычные исполнители - это провайдеры услуг (код 3). Ответственные за какое-то имущество, которые сдают его в аренду - это тоже провайдеры (код 2). Ответственные за набор услуг перед метасервисом (фактически - назначенные админы) - это провайдеры-партнеры (код 1)",
                        max_length=150,
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Один и тот же провайдер может быть для нескольких мета-сервисов, соответственно если происходят изменения в одном, то либо форсируется изменение во всех (если возможно), либо снимается is_global. Соответственно при изменении is_global в true должно происходить согласование с остальными копиями в других сервисах. Нужен в том числе для того, чтобы выяснять, в каких еще сервисах есть этот провайдер.",
                        null=True,
                    ),
                ),
                (
                    "requirements",
                    models.CharField(
                        help_text="требования для того, чтобы можно было предоставлять услуги любые в этом метасервисе в целом (самые строгие)",
                        max_length=300,
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="статус пользователя в системе относительно прохождения проверок (activity_status) (может быть active только в том случае, если ticket, влияющий на статус - закрыт.",
                        max_length=150,
                    ),
                ),
                (
                    "location_type",
                    models.CharField(
                        help_text="статическая или динамическая локация оказания услуги. Если статическая, а исполнитель находится существенно за пределами локации - то тогда статус автоматом оффлайн для приема новых заявок.",
                        max_length=300,
                    ),
                ),
                (
                    "default_location",
                    models.CharField(
                        help_text="локация по умолчанию для объекта.", max_length=300
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="(аккаунт поставщика услуг) – доступен для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="(аккаунт поставщика услуг) – доступен для хранения в  глобальном сервисе/необходима синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "company_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор компании, от лица которой выступает провайдер. Смысл такой - ответственны могут быть только одушевленные лица, компании - не одушевленные. Все услуги предоставляются через компании-партнеры, самозанятые или ИП являются единицами таких компаний.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.company",
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор конкретного пользователя системы (meta-user), который будет оказывать услугу. Один пользователь может быть провайдером нескольких услуг. Статус провайдера означает, что с данным пользователем может быть установлена связь, как с исполнителем.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "provider",
            },
        ),
        migrations.CreateModel(
            name="Resource",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "type_id",
                    models.CharField(help_text="идентификатор ресурса", max_length=10),
                ),
                (
                    "requirements",
                    models.CharField(
                        help_text="код необходимого для того, чтобы ресурс мог стать активным",
                        max_length=150,
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="статус обработки заявки в системе заявок",
                        max_length=150,
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступны ли документы для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии документов для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор ответственного",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "resource",
            },
        ),
        migrations.CreateModel(
            name="ServiceType",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "codename",
                    models.CharField(
                        help_text="латинское наименование услуги в системе",
                        max_length=255,
                    ),
                ),
                (
                    "caption",
                    models.CharField(
                        help_text="наименование услуги для отображения пользователю",
                        max_length=255,
                    ),
                ),
                (
                    "description",
                    models.TextField(blank=True, help_text="текстовое описание услуги"),
                ),
                (
                    "requirements",
                    models.CharField(
                        help_text="код требований на основе вспомогательных таблиц-справочников",
                        max_length=300,
                    ),
                ),
                (
                    "price_type",
                    models.CharField(
                        help_text="ценообразование - код допустимых вариантов или код параметров, принимаемых во внимание и способ их учета (по сути хорошо закодировать формулу)",
                        max_length=150,
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="активность на основе системы заявок", max_length=150
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text=" уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Один и тот же провайдер может быть для нескольких мета-сервисов, соответственно если происходят изменения в одном, то либо форсируется изменение во всех (если возможно), либо снимается is_global. Соответственно при изменении is_global в true должно происходить согласование с остальными копиями в других сервисах. Нужен в том числе для того, чтобы выяснять, в каких еще сервисах есть этот провайдер."
                    ),
                ),
                (
                    "link_agreement",
                    models.CharField(
                        help_text="ссылка на договор в вики об оказании услуги данного типа (аренда, перевозка и тп)",
                        max_length=400,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступно ли для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступно ли для хранения в глобальном сервисе/нужна синхронизация данных",
                        max_length=1,
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
            ],
            options={
                "db_table": "servicetype",
            },
        ),
        migrations.CreateModel(
            name="Service",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "requirements",
                    models.CharField(
                        help_text="код необходимого для того, чтобы ресурс мог стать активным",
                        max_length=150,
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                (
                    "price_alg",
                    models.CharField(
                        help_text="шаблон алгоритма расчета цены для оказываемой услуги",
                        max_length=100,
                    ),
                ),
                (
                    "price_km",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="значение параметра стоимости 1км данного поставщика для данного шаблона услуги",
                        max_digits=9,
                    ),
                ),
                (
                    "price_min",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="значение параметра стоимости 1мин данного поставщика для данного шаблона услуги",
                        max_digits=9,
                    ),
                ),
                (
                    "price_amount",
                    models.DecimalField(
                        decimal_places=2,
                        help_text="значение параметра стоимости 1 услуги данного поставщика для данного шаблона услуги",
                        max_digits=9,
                    ),
                ),
                (
                    "service_status",
                    models.CharField(
                        help_text="статус спецификации типа услуги", max_length=150
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="статус обработки заявки в системе заявок",
                        max_length=150,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступны ли документы для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии документов для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "id_provider",
                    models.ForeignKey(
                        help_text="идентификатор поставщика услуг",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.provider",
                    ),
                ),
                (
                    "resource_id",
                    models.ForeignKey(
                        help_text="ответственный за ресурс(не всегда)",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.resource",
                    ),
                ),
                (
                    "servicetype_id",
                    models.ForeignKey(
                        help_text="тип оказываемой услуги по классификатору услуг сервиса",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.servicetype",
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
            ],
            options={
                "db_table": "service",
            },
        ),
        migrations.CreateModel(
            name="Relationship",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("neg_type", models.IntegerField()),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                ("requirements", models.CharField(max_length=150)),
                ("status", models.CharField(max_length=150)),
                ("is_global", models.CharField(max_length=1)),
                ("is_visible", models.CharField(max_length=1)),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id_who",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id_who",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "user_id_whom",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id_whom",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "relationship",
            },
        ),
        migrations.CreateModel(
            name="Permissions",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "check_date",
                    models.DateTimeField(help_text="timestamp проверки", null=True),
                ),
                (
                    "id_permissions",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор определяющий наличие разрешения из множества в словаре - выданных пользователю/клиенту/аккаунту"
                    ),
                ),
                (
                    "check_level",
                    models.CharField(
                        help_text="тип проверки в соответствии с классификатором проверок.",
                        max_length=10,
                    ),
                ),
                (
                    "status",
                    models.CharField(
                        help_text="статус обработки заявки в системе заявок",
                        max_length=150,
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text=" уникальный идентификатор мета-сервиса, необходимый для синхронизации данных."
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступна ли информация для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии разрешения для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "checked_by",
                    models.ForeignKey(
                        help_text="(check-level из классификатора платформы) - информация об уровне проверки. Проверка может быть проведена как платформой, так и мета-сервисом, так и партнером мета-сервиса, а может быть и никем (просто загружен). Указывается, так как достоверность проверки разная. Экзамен, проверенный только на низком уровне, не принимается во внимание как имеющийся до прохождения более высокоуровневой проверки.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="checked_by_perm",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id заявки, по которой происходит проверка статуса relationship. State меняется только в результате изменений в заявке.",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор пользователя/клиента/аккаунта, которым была пройдена проверка и получено разрешение",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id_perm",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "permissions",
            },
        ),
        migrations.CreateModel(
            name="Orders",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("state", models.CharField(max_length=150)),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                ("time_created", models.DateTimeField(auto_now_add=True)),
                ("time_placed", models.DateTimeField()),
                ("time_start", models.DateTimeField()),
                ("time_finish_predicted", models.DateTimeField()),
                ("time_finish_real", models.DateTimeField(null=True)),
                ("ticket", models.IntegerField()),
                ("predicted_price", models.FloatField()),
                ("real_price", models.FloatField()),
                ("is_global", models.CharField(max_length=1)),
                ("is_visible", models.CharField(max_length=1)),
                (
                    "client_id",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.client",
                    ),
                ),
                (
                    "provider",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.provider",
                    ),
                ),
                (
                    "receiver",
                    models.ForeignKey(
                        help_text="уникальный идентификатор пользователя (конкретного клиентского аккаунта) являющегося владельцем данного документа",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "service",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.service",
                    ),
                ),
                (
                    "service_type",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.servicetype",
                    ),
                ),
            ],
            options={
                "db_table": "orders",
            },
        ),
        migrations.CreateModel(
            name="Documents",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("check_date", models.DateTimeField(help_text="timestamp проверки")),
                (
                    "check_level",
                    models.IntegerField(
                        help_text="информация об уровне проверки. Документ может быть проверен как платформой, так и мета-сервисом, так и партнером мета-сервиса, а может быть и никем (просто загружен). Указывается, так как достоверность проверки разная. Документ, проверенный только на низком уровне, не принимается во внимание как имеющийся до прохождения более высокоуровневой проверки. Информацию об уровнях проверки можно посмотреть по словарю Requirements. В данной таблице хранится информация о наиболее высоком уровне проверки."
                    ),
                ),
                (
                    "expire_date",
                    models.DateTimeField(
                        help_text="срок окончания действия документа.", null=True
                    ),
                ),
                (
                    "id_metaservice",
                    models.BigIntegerField(
                        help_text="уникальный идентификатор мета-сервиса, необходимый для синхронизации данных. Если при синхронизации возникает конфликт (несовместимость) с другим сервисом, предлагается или форсировать изменения везде (если возможно), либо is_global выставляется как false.",
                        null=True,
                    ),
                ),
                ("requirements", models.CharField(max_length=150)),
                (
                    "status",
                    models.CharField(
                        help_text="активность на основе системы заявок", max_length=150
                    ),
                ),
                (
                    "datalink",
                    models.TextField(
                        blank=True,
                        help_text="адрес фактического размещения на физическом носителе, если информация настолько велика, что не может храниться внутри БД.",
                    ),
                ),
                (
                    "doc_type",
                    models.CharField(
                        help_text="тип документа (паспорт/паспорт 1 страница и т д) в соответствии с классификатором типов документов (см описание в Requirements)",
                        max_length=150,
                    ),
                ),
                (
                    "is_global",
                    models.CharField(
                        help_text="доступны ли документы для хранения в глобальном сервисе/нужна синхронизация",
                        max_length=1,
                    ),
                ),
                (
                    "is_visible",
                    models.CharField(
                        help_text="доступна ли информация о наличии документов для планирования в цепочке с другими услугами в глобальном сервисе",
                        max_length=1,
                    ),
                ),
                (
                    "checked_by",
                    models.ForeignKey(
                        help_text="userid проверившего",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="checked_by_doc",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "company_id",
                    models.ForeignKey(
                        help_text="идентификатор компании, к которой относится документ, если таковая есть (может не быть)",
                        null=True,
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="metaservicesynced.company",
                    ),
                ),
                (
                    "ticket_status",
                    models.ForeignKey(
                        help_text="id последнего актуального тикета, касающийся статуса. Если он меняет статус на закрытый - вызывается проверка, которая смотрит, нет ли другого открытого по пользователю.",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        to="tickets.task",
                    ),
                ),
                (
                    "user_id",
                    models.ForeignKey(
                        help_text="уникальный идентификатор пользователя (конкретного клиентского аккаунта) являющегося владельцем данного документа",
                        on_delete=django.db.models.deletion.DO_NOTHING,
                        related_name="user_id_doc",
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
            ],
            options={
                "db_table": "documents",
            },
        ),
    ]
